Wordpress

Como alterar o WordPress para uma versão anterior

O CMS WordPress já se encontra em sua versão 4.4, mas desde a versão 3.5 tem surgido vários problemas de incompatibilidade com diversos templates e plugins que causaram grandes problemas a quem atualizou a plataforma para novas versões sem testar primeiro se não teria problemas com os plugins e templates. Isso, na verdade, já é de se esperar porque os templates desenvolvidos são baseados em determinadas versões do wordpress e se não acompanhar as atualizações do cms pode dar algum erro.

Desde a versão 3.7 o WordPress já faz atualização automática, o que em certo sentido não é muito recomendado, porque se o template ativado em determinado blog ou alguns plugins não estão atualizados de acordo com as mudanças no cms, pode causar problemas na exibição do seu site ou até no painel administrativo.

Recentemente tive esse problema em alguns de meus blogs e que me obrigou alterar o template e corrigir a versão do WordPress que é compativel com o template.

A solução para esse problema é fazer um downgrade do wordpress para uma versão que seja compatível com o template que esteja usando em seu site/blog. Ao adquirir um template leia na documentação a versão do Software WordPress compatível com o template.

Veja como alterar o wordpress para uma versão anterior:

Antes de tudo recomendo que você crie uma pasta dentro de seu gerenciador de arquivos no Cpanel e faça uma cópia completa de seu wordpress para ela, caso der algum erro você poderá reverter isso.

1. Baixe uma versão anterior do wordpress, versão compatível com seu template

2. Acesse o painel do seu wordpress e desative todos os plugins e pode desconectar do painel wordpress

3. Acesse o painel do seu site via ftp ou browser e apague as pastas wp-admin e wp-includes.

Obs: se você reparar, existem três pastas nos arquivos do WordPress: wp-adminwp-contentwp-includes. Seu template, seus plugins, seus arquivos de mídia (imagens, videos, áudios) estão na pasta wp-content e banco de dados, e é a única pasta que não deves apagar porque senão perdes os arquivos de seu site. Apague apenas as pastas wp-admin e wp-includes, certo?

4. Abrir o arquivo zipado da versão antiga do wordpress que você baixou e envie para seu servidor, menos a pasta wp-content. Lembre que não apagou a pasta wp-content no servidor, então não precisa enviá-la porque se enviar vai substituir os arquivos existente e pode dar erro em seu site ou perder arquivos também. Envie apenas as pastas wp-admin e wp-includes para onde está instalado o seu wordpress.

Obs.: eu quando fiz essas alterações, apaguei todos os arquivos do wordpress e deixei apenas a pasta wp-content, só que o primeiro erro que me apareceu foi que o wordpress não conseguiu se conectar ao bando de dados, justamente porque apaguei o arquivo wp-config.php que tem as informações de seu servidor e banco de dados para seu wordpress se conectar. Então, se você apagar esse arquivo, lembre que ao enviar os arquivos do wordpress, você precisa configurá-lo novamente para que o wordpress possa se conectar. No entanto, ao tentar logar e o wordpress não conseguir se conectar ao bando de dados ele pede que você configure o arquivo via browser, basta informar os dados de sua conexão ao seu banco de dados, certo? Mas para não ter que fazer todo esse trabalho, recomendo não apagar o arquivo wp-config.php 

5. Após enviar os arquivos, acesse o painel de login de seu wordpress www.seusite.com/wp-admin e vai aparecer a mensagem que você precisa atualizar seu banco de dados, apenas faça clique para “atualizar bando de dados” e de seguida você já pode fazer o login no painel wordpress sem nenhum problema. Qualquer erro, deixe seu comentário abaixo.

O bom dos cms’s é que você pode alterar o que quiser em seu código sem afetar diretamente o seu site em si.

Deixe uma resposta